Index: CKEditor/branches/versions/3.5.x/_source/core/scriptloader.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/core/scriptloader.js	(revision 5937)
+++ CKEditor/branches/versions/3.5.x/_source/core/scriptloader.js	(revision 6050)
@@ -16,6 +16,6 @@
 CKEDITOR.scriptLoader = (function()
 {
-	var uniqueScripts = {};
-	var waitingList = {};
+	var uniqueScripts = {},
+		waitingList = {};
 
 	return /** @lends CKEDITOR.scriptLoader */ {
@@ -36,4 +36,6 @@
 		 * @param {Boolean} [noCheck] Indicates that the script must be loaded
 		 *		anyway, not checking if it has already loaded.
+		 * @param {Boolean} [showBusy] Changes the cursor of the document while
++		 *		the script is loaded.
 		 * @example
 		 * CKEDITOR.scriptLoader.load( '/myscript.js' );
Index: CKEditor/branches/versions/3.5.x/_source/core/skins.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/core/skins.js	(revision 5937)
+++ CKEditor/branches/versions/3.5.x/_source/core/skins.js	(revision 6050)
@@ -17,7 +17,7 @@
 {
 	// Holds the list of loaded skins.
-	var loaded = {};
-	var preloaded = {};
-	var paths = {};
+	var loaded = {},
+		preloaded = {},
+		paths = {};
 
 	var loadPart = function( editor, skinName, part, callback )
@@ -56,20 +56,28 @@
 
 		// Check if we need to preload images from it.
-		if ( !preloaded[ skinName ] )
-		{
-			var preload = skinDefinition.preload;
-			if ( preload && preload.length > 0 )
-			{
+		var preload = skinDefinition.preload;
+		if ( preload && preload.length > 0 )
+		{
+			if ( !preloaded[ skinName ] )
+			{
+				// Prepare image URLs
 				appendSkinPath( preload );
-				CKEDITOR.imageCacher.load( preload, function()
-					{
-						preloaded[ skinName ] = 1;
+
+				// Get preloader event dispatcher object.
+				preloaded[ skinName ] = CKEDITOR.imageCacher.load( preload );
+			}
+
+			if ( !preloaded[ skinName ].finished )
+			{
+				// Bind listener for this editor instance.
+				preloaded[ skinName ].on( 'loaded', function()
+					{
 						loadPart( editor, skinName, part, callback );
-					} );
+					}
+				);
+
+				// Execution will be continued from event listener.
 				return;
 			}
-
-			// Mark it as preloaded.
-			preloaded[ skinName ] = 1;
 		}
 
@@ -94,6 +102,6 @@
 			// Check whether the "css" and "js" properties have been defined
 			// for that part.
-			var cssIsLoaded = !part.css || !part.css.length;
-			var jsIsLoaded = !part.js || !part.js.length;
+			var cssIsLoaded = !part.css || !part.css.length,
+				jsIsLoaded = !part.js || !part.js.length;
 
 			// This is the function that will trigger the callback calls on
Index: CKEditor/branches/versions/3.5.x/_source/core/tools.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/core/tools.js	(revision 5937)
+++ CKEditor/branches/versions/3.5.x/_source/core/tools.js	(revision 6050)
@@ -347,17 +347,4 @@
 
 		/**
-		 * Replace characters can't be represented through CSS Selectors string
-		 * by CSS Escape Notation where the character escape sequence consists
-		 * of a backslash character (\) followed by the orginal characters.
-		 * Ref: http://www.w3.org/TR/css3-selectors/#grammar
-		 * @param cssSelectText
-		 * @return the escaped selector text.
-		 */
-		escapeCssSelector : function( cssSelectText )
-		{
-			return cssSelectText.replace( /[\s#:.,$*^\[\]()~=+>]/g, '\\$&' );
-		},
-
-		/**
 		 * Gets a unique number for this CKEDITOR execution session. It returns
 		 * progressive numbers starting at 1.
Index: CKEditor/branches/versions/3.5.x/_source/lang/af.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/af.js	(revision 5937)
+++ CKEditor/branches/versions/3.5.x/_source/lang/af.js	(revision 6050)
@@ -732,5 +732,5 @@
 		dic_delete		: 'Delete', // MISSING
 		dic_rename		: 'Rename', // MISSING
-		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type its name and click the Restore button.', // MISSING
 
 		aboutTab		: 'About' // MISSING
Index: CKEditor/branches/versions/3.5.x/_source/lang/ar.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/ar.js	(revision 5937)
+++ CKEditor/branches/versions/3.5.x/_source/lang/ar.js	(revision 6050)
@@ -732,5 +732,5 @@
 		dic_delete		: 'Delete', // MISSING
 		dic_rename		: 'Rename', // MISSING
-		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type its name and click the Restore button.', // MISSING
 
 		aboutTab		: 'عن'
Index: CKEditor/branches/versions/3.5.x/_source/lang/bg.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/bg.js	(revision 5937)
+++ CKEditor/branches/versions/3.5.x/_source/lang/bg.js	(revision 6050)
@@ -732,5 +732,5 @@
 		dic_delete		: 'Delete', // MISSING
 		dic_rename		: 'Rename', // MISSING
-		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type its name and click the Restore button.', // MISSING
 
 		aboutTab		: 'About' // MISSING
Index: CKEditor/branches/versions/3.5.x/_source/lang/bn.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/bn.js	(revision 5937)
+++ CKEditor/branches/versions/3.5.x/_source/lang/bn.js	(revision 6050)
@@ -732,5 +732,5 @@
 		dic_delete		: 'Delete', // MISSING
 		dic_rename		: 'Rename', // MISSING
-		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type its name and click the Restore button.', // MISSING
 
 		aboutTab		: 'About' // MISSING
Index: CKEditor/branches/versions/3.5.x/_source/lang/bs.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/bs.js	(revision 5937)
+++ CKEditor/branches/versions/3.5.x/_source/lang/bs.js	(revision 6050)
@@ -732,5 +732,5 @@
 		dic_delete		: 'Delete', // MISSING
 		dic_rename		: 'Rename', // MISSING
-		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type its name and click the Restore button.', // MISSING
 
 		aboutTab		: 'About' // MISSING
Index: CKEditor/branches/versions/3.5.x/_source/lang/ca.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/ca.js	(revision 5937)
+++ CKEditor/branches/versions/3.5.x/_source/lang/ca.js	(revision 6050)
@@ -732,5 +732,5 @@
 		dic_delete		: 'Delete', // MISSING
 		dic_rename		: 'Rename', // MISSING
-		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type its name and click the Restore button.', // MISSING
 
 		aboutTab		: 'Quant a'
Index: CKEditor/branches/versions/3.5.x/_source/lang/cs.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/cs.js	(revision 5937)
+++ CKEditor/branches/versions/3.5.x/_source/lang/cs.js	(revision 6050)
@@ -732,5 +732,5 @@
 		dic_delete		: 'Delete', // MISSING
 		dic_rename		: 'Rename', // MISSING
-		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type its name and click the Restore button.', // MISSING
 
 		aboutTab		: 'O aplikaci'
Index: CKEditor/branches/versions/3.5.x/_source/lang/cy.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/cy.js	(revision 5937)
+++ CKEditor/branches/versions/3.5.x/_source/lang/cy.js	(revision 6050)
@@ -732,5 +732,5 @@
 		dic_delete		: 'Delete', // MISSING
 		dic_rename		: 'Rename', // MISSING
-		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type its name and click the Restore button.', // MISSING
 
 		aboutTab		: 'Ynghylch'
Index: CKEditor/branches/versions/3.5.x/_source/lang/da.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/da.js	(revision 5937)
+++ CKEditor/branches/versions/3.5.x/_source/lang/da.js	(revision 6050)
@@ -732,5 +732,5 @@
 		dic_delete		: 'Delete', // MISSING
 		dic_rename		: 'Rename', // MISSING
-		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type its name and click the Restore button.', // MISSING
 
 		aboutTab		: 'Om'
Index: CKEditor/branches/versions/3.5.x/_source/lang/el.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/el.js	(revision 5937)
+++ CKEditor/branches/versions/3.5.x/_source/lang/el.js	(revision 6050)
@@ -732,5 +732,5 @@
 		dic_delete		: 'Delete', // MISSING
 		dic_rename		: 'Rename', // MISSING
-		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type its name and click the Restore button.', // MISSING
 
 		aboutTab		: 'About' // MISSING
Index: CKEditor/branches/versions/3.5.x/_source/lang/en-au.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/en-au.js	(revision 5937)
+++ CKEditor/branches/versions/3.5.x/_source/lang/en-au.js	(revision 6050)
@@ -732,5 +732,5 @@
 		dic_delete		: 'Delete', // MISSING
 		dic_rename		: 'Rename', // MISSING
-		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type its name and click the Restore button.', // MISSING
 
 		aboutTab		: 'About' // MISSING
Index: CKEditor/branches/versions/3.5.x/_source/lang/en-ca.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/en-ca.js	(revision 5937)
+++ CKEditor/branches/versions/3.5.x/_source/lang/en-ca.js	(revision 6050)
@@ -732,5 +732,5 @@
 		dic_delete		: 'Delete', // MISSING
 		dic_rename		: 'Rename', // MISSING
-		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type its name and click the Restore button.', // MISSING
 
 		aboutTab		: 'About' // MISSING
Index: CKEditor/branches/versions/3.5.x/_source/lang/en-gb.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/en-gb.js	(revision 5937)
+++ CKEditor/branches/versions/3.5.x/_source/lang/en-gb.js	(revision 6050)
@@ -732,5 +732,5 @@
 		dic_delete		: 'Delete', // MISSING
 		dic_rename		: 'Rename', // MISSING
-		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type its name and click the Restore button.', // MISSING
 
 		aboutTab		: 'About' // MISSING
Index: CKEditor/branches/versions/3.5.x/_source/lang/en.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/en.js	(revision 5937)
+++ CKEditor/branches/versions/3.5.x/_source/lang/en.js	(revision 6050)
@@ -732,5 +732,5 @@
 		dic_delete		: 'Delete',
 		dic_rename		: 'Rename',
-		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.',
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type its name and click the Restore button.',
 
 		aboutTab		: 'About'
Index: CKEditor/branches/versions/3.5.x/_source/lang/eo.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/eo.js	(revision 5937)
+++ CKEditor/branches/versions/3.5.x/_source/lang/eo.js	(revision 6050)
@@ -732,5 +732,5 @@
 		dic_delete		: 'Delete', // MISSING
 		dic_rename		: 'Rename', // MISSING
-		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type its name and click the Restore button.', // MISSING
 
 		aboutTab		: 'About' // MISSING
Index: CKEditor/branches/versions/3.5.x/_source/lang/et.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/et.js	(revision 5937)
+++ CKEditor/branches/versions/3.5.x/_source/lang/et.js	(revision 6050)
@@ -732,5 +732,5 @@
 		dic_delete		: 'Delete', // MISSING
 		dic_rename		: 'Rename', // MISSING
-		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type its name and click the Restore button.', // MISSING
 
 		aboutTab		: 'About' // MISSING
Index: CKEditor/branches/versions/3.5.x/_source/lang/eu.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/eu.js	(revision 5937)
+++ CKEditor/branches/versions/3.5.x/_source/lang/eu.js	(revision 6050)
@@ -732,5 +732,5 @@
 		dic_delete		: 'Delete', // MISSING
 		dic_rename		: 'Rename', // MISSING
-		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type its name and click the Restore button.', // MISSING
 
 		aboutTab		: 'Honi buruz'
Index: CKEditor/branches/versions/3.5.x/_source/lang/fa.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/fa.js	(revision 5937)
+++ CKEditor/branches/versions/3.5.x/_source/lang/fa.js	(revision 6050)
@@ -732,5 +732,5 @@
 		dic_delete		: 'Delete', // MISSING
 		dic_rename		: 'Rename', // MISSING
-		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type its name and click the Restore button.', // MISSING
 
 		aboutTab		: 'About' // MISSING
Index: CKEditor/branches/versions/3.5.x/_source/lang/fi.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/fi.js	(revision 5937)
+++ CKEditor/branches/versions/3.5.x/_source/lang/fi.js	(revision 6050)
@@ -106,8 +106,8 @@
 		targetSelf		: 'Sama ikkuna (_self)',
 		targetParent	: 'Ylemmän tason ikkuna (_parent)',
-		langDirLTR		: 'Left to Right (LTR)', // MISSING
-		langDirRTL		: 'Right to Left (RTL)', // MISSING
-		styles			: 'Style', // MISSING
-		cssClasses		: 'Stylesheet Classes', // MISSING
+		langDirLTR		: 'Vasemmalta oikealle (LTR)',
+		langDirRTL		: 'Oikealta vasemmalle (RTL)',
+		styles			: 'Tyyli',
+		cssClasses		: 'Tyylitiedoston luokat',
 
 		// Put the voice-only part of the label in the span.
@@ -117,5 +117,5 @@
 	contextmenu :
 	{
-		options : 'Context Menu Options' // MISSING
+		options : 'Pikavalikon ominaisuudet'
 	},
 
@@ -125,5 +125,5 @@
 		toolbar		: 'Lisää erikoismerkki',
 		title		: 'Valitse erikoismerkki',
-		options : 'Special Character Options' // MISSING
+		options : 'Erikoismerkin ominaisuudet'
 	},
 
@@ -201,5 +201,5 @@
 		type				: 'Tyyppi',
 		start				: 'Alku',
-		validateStartNumber				:'List start number must be a whole number.', // MISSING
+		validateStartNumber				:'Listan ensimmäisen numeron tulee olla kokonaisluku.',
 		circle				: 'Ympyrä',
 		disc				: 'Levy',
@@ -208,5 +208,5 @@
 		notset				: '<ei asetettu>',
 		armenian			: 'Armeenialainen numerointi',
-		georgian			: 'Georgian numbering (an, ban, gan, etc.)', // MISSING
+		georgian			: 'Georgialainen numerointi (an, ban, gan, etc.)',
 		lowerRoman			: 'Pienet roomalaiset (i, ii, iii, iv, v, jne.)',
 		upperRoman			: 'Isot roomalaiset (I, II, III, IV, V, jne.)',
@@ -513,5 +513,5 @@
 		toolbar	: 'Hymiö',
 		title	: 'Lisää hymiö',
-		options : 'Smiley Options' // MISSING
+		options : 'Hymiön ominaisuudet'
 	},
 
@@ -565,5 +565,5 @@
 		button			: 'Pohjat',
 		title			: 'Sisältöpohjat',
-		options : 'Template Options', // MISSING
+		options : 'Sisältöpohjan ominaisuudet',
 		insertOption	: 'Korvaa editorin koko sisältö',
 		selectPromptMsg	: 'Valitse pohja editoriin<br>(aiempi sisältö menetetään):',
@@ -761,5 +761,5 @@
 	{
 		title		: 'Valitse väri',
-		options	:	'Color Options', // MISSING
+		options	:	'Värin ominaisuudet',
 		highlight	: 'Korostus',
 		selected	: 'Valittu',
@@ -772,6 +772,6 @@
 	bidi :
 	{
-		ltr : 'Text direction from left to right', // MISSING
-		rtl : 'Text direction from right to left' // MISSING
+		ltr : 'Tekstin suunta vasemmalta oikealle',
+		rtl : 'Tekstin suunta oikealta vasemmalle'
 	}
 };
Index: CKEditor/branches/versions/3.5.x/_source/lang/fo.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/fo.js	(revision 5937)
+++ CKEditor/branches/versions/3.5.x/_source/lang/fo.js	(revision 6050)
@@ -732,5 +732,5 @@
 		dic_delete		: 'Delete', // MISSING
 		dic_rename		: 'Rename', // MISSING
-		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type its name and click the Restore button.', // MISSING
 
 		aboutTab		: 'Um'
Index: CKEditor/branches/versions/3.5.x/_source/lang/fr-ca.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/fr-ca.js	(revision 5937)
+++ CKEditor/branches/versions/3.5.x/_source/lang/fr-ca.js	(revision 6050)
@@ -732,5 +732,5 @@
 		dic_delete		: 'Delete', // MISSING
 		dic_rename		: 'Rename', // MISSING
-		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type it\'s name and click the Restore button.', // MISSING
+		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type its name and click the Restore button.', // MISSING
 
 		aboutTab		: 'About' // MISSING
